package futils;

import xml.adbk.Address;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

/**
 * DocJava, Inc.
 * http://www.docjava.com
 * Programmer: dlyon
 * Date: Apr 21, 2004
 * Time: 7:42:42 PM
 */
public class CSDUtil {


    int numberOfRecords = 0;


    public static void main(String[] args) {
        CSDUtil c = new CSDUtil();
        c.test();
        System.out.println(c);
    }

    public void test() {
        try {
            scanCSDFile();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void scanCSDFile() throws IOException {
        FileReader fr = ReaderUtil.getFileReader("select an csd file");
        BufferedReader br = new BufferedReader(fr);
        String s = "";
        while ((s = br.readLine()) != null)
            processRecord(s);
        fr.close();
    }

    private int countTokens(String s,char delim) {
        int tc = 0;
        char ca[] = s.toCharArray();
        for (int i = 0; i < ca.length; i++) {
            if (ca[i] == delim) tc++;
        }
        return tc;
    }
    public void print(Object o[]){
        for (int i=0; i < o.length; i++)
            System.out.println(o[i]);
    }
    private Address getAddress(String s){
        Address a = new Address();
        String sa[] = getFields(s,':');
        a.setFirstName(sa[1]);
        a.setAddress1(sa[2]);
        a.setAddress2(sa[3]);
        // finish this!
        return a;
    }
    private String [] getFields(String s, char delim){
        String sa[] = new String[countTokens(s,delim)];
        char ca[] = s.toCharArray();
        StringBuffer sb = new StringBuffer();
        int index = 0;
        for (int i = 0; i < ca.length; i++) {

            if (ca[i] == delim){
                sa[index]= sb.toString();
                sb = new StringBuffer();
                index++;
            } else
                sb.append(ca[i]);
        }
        return sa;
    }

    private void processRecord(String s) {
        numberOfRecords++;
        System.out.println("found " + countTokens(s,':') + " tokens");
        System.out.println(getAddress(s).toXml());
    }

    public String toString() {
        return "numberOfRecords=" + numberOfRecords;
    }
}
